ServiceM8 iOS & Device compatibility

Follow

ServiceM8 7.0 requires iOS 10.0 or later, and is compatible with iPhone, iPad & Apple Watch.

ServiceM8 compatibility by iOS version & device:

iOS Device
ServiceM8 Measure (AR) Compatible
iOS 12 Compatible
iOS 10 Compatible
iPhone XS & XS Max



iPhone XR



iPhone X



iPhone 8 & 8 Plus



iPhone 7 & 7 Plus



iPhone 6s & 6s Plus



iPhone SE


iPhone 6 and 6 Plus



iPhone 5s



iPhone 5 and 5c







All iPad Pros



iPad 2017



iPad Air and Air 2



iPad Mini 2, 3 and 4







Features requiring iOS 12 or higher:

  • Siri Shortcuts
  • AI Photo Tagging

Features requiring iOS 11 or higher:

  • Barcode Scanning
  • Document Scanning
  • ServiceM8 Measure (Requires A9 Chip or better)

iPad only features:

  • Separate Staff Schedule tab
  • Diagram drawing

Which devices to choose for field staff?

There is no right or wrong Apple mobile device for field staff.

iPhones are great because they’re easy to carry on you at all times, and therefore easier to get out and check something, take a photo or record a note. 

iPads are great if you need a larger display, perhaps if you complete a lot of forms on site, annotate photos or draw diagrams through ServiceM8. iPads can also be a bit more transferable between team members, which may be a consideration.

Ongoing device & iOS support considerations

ServiceM8 is constantly working to improve and update the ServiceM8 app, which is available exclusively on iOS mobile devices (i.e. iPhone, iPad, Apple Watch). 

We immediately support major iOS updates with aligned updates of our own, consistently incorporating the latest iOS features to make ServiceM8 more accessible, intuitive and useful. This means that on a rolling basis, the latest version of the ServiceM8 app will only be available to download on devices capable of running an iOS within two versions of the latest version. 

For example, if iOS 12 is the latest iOS, and ServiceM8 7.0 is the latest version of the ServiceM8 app, a device capable of running iOS 10 will be able to download ServiceM8 7.0, however a device that only supports up to iOS 9 will not. 

For devices which become unable to run an iOS within two versions of the latest iOS, they will still have access to a supported version of the ServiceM8 app, however they will not be able to download the latest version of the app.

Further, some ServiceM8 features require device-specific and/or iOS-specific features (e.g. ServiceM8’s Augmented Reality measuring tape requires iOS 11 or higher + a device with an A9 chip or later). 

ServiceM8 will continue to support older devices and iOS versions, however the use of relatively recent devices and the current iOS version will yield the best results and user experience. 

These are considerations when setting your field staff up with iOS devices.

Have more questions? Submit a request